<?php

use CRM_Utmtracking_ExtensionUtil as E;

class CRM_Utmtracking_BAO_utmtracking extends CRM_Utmtracking_DAO_utmtracking {

  /**
   * Create or update a record from supplied params.
   *
   * If 'id' is supplied, an existing record will be updated
   * Otherwise a new record will be created.
   *
   * @param array $record
   *
   * @return static
   * @throws \CRM_Core_Exception
   */
  public static function writeRecord(array $record): CRM_Utmtracking_DAO_utmtracking
  {
    $idField = static::$_primaryKey[0];
    $op = empty($record[$idField]) ? 'create' : 'edit';
    if ($op == 'create') {
      if (empty($record['date_added'])) {
        $record['date_added'] = date('Ymd His');
      }
    }
    return parent::writeRecord($record);
  }

}
