# UTM Tracking

UTM Tracking is an extension to track the UTM Source, UTM Medium and UTM Campaign across various entities in CiviCRM such as Contributions, Recurring Contributions, Activities, Participants and Memberships.

For example this useful to track the effectiveness of an campaign. One can see how many donations came in or how many petitions are signed.

This extension comes with the following functionality:

* Form Processor action for creating a UTM Tracking Record and linking it to the variour entities.
* A report (searchkit) under Reports --> UTM Tracking Records for displaying all the UTM Tracking Records in your system
* A data processor integration for creating a data processor.

Funded by Amnesty International Flanders

This is an [extension for CiviCRM](https://docs.civicrm.org/sysadmin/en/latest/customize/extensions/), licensed under [AGPL-3.0](LICENSE.txt).
